polybori::times_indexed_var< DDType, IdxType > Class Template Reference

Defines multiplication operation with the idx-th variable. More...

`#include <pbori_func.h>`

## Public Member Functions

DDType & | operator() (DDType &lhs, IdxType idx) const

## Detailed Description

### template<class DDType, class IdxType = typename DDType::idx_type>
class polybori::times_indexed_var< DDType, IdxType >

Defines multiplication operation with the idx-th variable.

## Member Function Documentation

template<class DDType , class IdxType = typename DDType::idx_type>

DDType& polybori::times_indexed_var< DDType, IdxType >::operator() | ( | DDType & | lhs,
|  | IdxType | idx
| ) |  | const

inline

The documentation for this class was generated from the following file:

- pbori_func.h